/// class PD.Web.UI.Controls.GridWidgetAreaDock
/// using PD.Web.UI.Controls.Control

PD.Web.UI.Controls.GridWidgetAreaDock =
PD.Web.UI.Controls.Control.extend({

    //===================================
    // FIELDS
    //===================================

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {
        this._super($.extend({
            id: null,
            dockName: "left"
        }, options));
    },

    //===================================
    // PROPERTIES
    //===================================

    get_dockName: function () {
        return this.get_options()["dockName"] || "left";
    },

    //===================================
    // PUBLIC METHODS
    //===================================

    getContentWidth: function () {

        var result = 0,
            borderLeftWidth = parseInt(this.get_node().css("borderLeftWidth")),
            borderRightWidth = parseInt(this.get_node().css("borderRightWidth"));

        this.get_node().children().each(function (index, child) {
            result += $(child).outerWidth(true);
        });

        return result + borderLeftWidth + borderRightWidth;

    },

    template: function () {
        return "<div class='-pd-widget-dock -pd-widget-dock-" + this.get_dockName() + "'></div>";
    }

});